Page MenuHomeFreeBSD

graphics/darktable: Update to darktable 2.0.1
ClosedPublic

Authored by dumbbell on Nov 22 2015, 1:39 AM.

Details

Summary

New upstream release.

In the OpenMP section, I added more comments to explain why we need each variable.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell updated this revision to Diff 10413.Nov 22 2015, 1:39 AM
dumbbell retitled this revision from to graphics/darktable20: New port for the upcoming darktable 2.0.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: kwm, bapt.
kwm edited edge metadata.Nov 29 2015, 6:33 PM

Since (I assume, no diff in the phab review ... yay) that both darktables have the same PORTNAME, you should add PKGNAMESUFFIX=2 so the name is unique.

dumbbell updated this revision to Diff 10624.Dec 1 2015, 7:26 AM
dumbbell edited edge metadata.

Switch back to graphics/darktable, update to 2.0.rc3

dumbbell retitled this revision from graphics/darktable20: New port for the upcoming darktable 2.0 to graphics/darktable: Update to darktable 2.0.Dec 1 2015, 7:28 AM
dumbbell updated this object.

The full patch (including added files) is available here:
https://people.freebsd.org/~dumbbell/darktable/ports-darktable-2.0.patch

This is still a release candidate, not the final release. I will only commit it once the release is here.

dumbbell updated this revision to Diff 11643.Dec 23 2015, 8:21 PM

Update to darktable 2.0.0

2.0.0 is the final release, so this patch is ready to be committed.

dumbbell updated this revision to Diff 11739.Dec 28 2015, 9:00 AM

Do not use abs. path in $(CC), $(CXX) and $(CPP)

dumbbell updated this revision to Diff 12105.Jan 11 2016, 8:35 AM

Merge HEAD

dumbbell updated this revision to Diff 13063.Feb 5 2016, 6:42 PM

darktable 2.0.1 was released in the meantime

dumbbell retitled this revision from graphics/darktable: Update to darktable 2.0 to graphics/darktable: Update to darktable 2.0.1.Feb 5 2016, 6:43 PM
dumbbell updated this object.Feb 5 2016, 6:45 PM
kwm added inline comments.Feb 13 2016, 12:00 PM
graphics/darktable/Makefile
54 ↗(On Diff #13063)

Hmm update this comment?

dumbbell updated this revision to Diff 13264.Feb 13 2016, 2:18 PM

Update comment about colord

kwm accepted this revision.Feb 13 2016, 2:38 PM
kwm edited edge metadata.
This revision is now accepted and ready to land.Feb 13 2016, 2:38 PM
This revision was automatically updated to reflect the committed changes.